#ifndef SSKlientV_H
#define SSKlientV_H

#include <Thread.h>

using namespace Framework;

class SSKlientV : public Thread
{
private:

public:
	// nicht constant 
	virtual void nichtTrennen() = 0;
	virtual double ping() = 0;
	virtual void spielNachricht( short len, char *bytes ) = 0;
	virtual void statistikNachricht( short len, char *bytes ) = 0;
	virtual void trenne() = 0;
	virtual void thread() = 0;
	virtual void errorZuKlientEmpfang( const char *nachricht ) = 0; // sendet eine Fehlernachricht zum Klient
	virtual void errorZuKlientSende( const char *nachricht ) = 0;
	// const
	virtual int getAccountId() const = 0;
};

#endif